<%
'Beginn Caching abschalten
Sub DisableCaching
Response.Expires=0
Response.AddHeader "Pragma","no-cache"
Response.AddHeader "cache-control", "no-store"
End Sub
'Ende Caching abschalten


'Beginn Datenbankverbindung herstellen
Sub MakeDBConn
Dim StrConn
Set Conn = Server.CreateObject("ADODB.Connection")
strConn = "Driver={Microsoft Access Driver (*.mdb)};DriverID=25;DBQ="
strConn = strConn & Server.MapPath("/~db/aspintranet.mdb")
strConn = strConn & ";FIL=MS Access;MaxBufferSize=512;PageTimeout=5;"
Conn.Open strConn
End Sub
'Ende Datenbankverbindung herstellen


'Beginn Setup berprfen
Function Check_Setup
Dim StrSQL
Dim rs
strSQL = "SELECT SetupIsOK FROM Setup"
Set rs = Conn.Execute(strSQL)
If rs.Eof Then 
'keine Parameter vorhanden
	Check_Setup = False
ElseIf rs("SetupIsOK") = False Then
	Check_Setup = False
'Parameter sind ok
Else
	Check_Setup = True
End If
rs.Close
Set rs = Nothing
End Function
'Ende Setup berprfen


'Beginn Benutzer berprfen
Function Check_User
Dim StrUserName
Dim ArrUser
Dim StrLogged_In_User
Dim StrSQL
Dim rs
'Benutzername im UNC-Format lesen
StrUserName = Request.ServerVariables("LOGON_USER")
'Aufteilen in Array
ArrUser = Split(StrUserName, "\", -1, 1)
'und in Variable schreiben
StrLogged_In_User = ArrUser(1)
'In der Tabelle prfen, ob Netzwerkuser existiert
StrSQL = "SELECT ID FROM NetzwerkUser WHERE NetzwerkUser = '" & StrLogged_In_User & "'"
Set rs = Conn.Execute(StrSQL)
If rs.Eof Then
'Nein, dann "False" zurckliefern
	Check_User = False
Else
'Ja, dann UserID in Session speichern und "True" zurckliefern
	Session("Logged_In_User_ID") = rs("ID")
	Check_User = True
End If
rs.Close
Set rs = Nothing
End Function
'Ende Benutzer berprfen


'Beginn Admin berprfen
Function Check_Admin
Dim StrUserName
Dim ArrUser
Dim StrLogged_In_User
Dim StrSQL
Dim rs
'Benutzername im UNC-Format lesen
StrUserName = Request.ServerVariables("LOGON_USER")
'Aufteilen in Array
ArrUser = Split(StrUserName, "\", -1, 1)
'und in Variable schreiben
StrLogged_In_User = ArrUser(1)
'In der Tabelle prfen, ob Netzwerkuser/Administrator existiert
StrSQL = "SELECT * FROM Administratoren INNER JOIN NetzwerkUser ON (Administratoren.NetzwerkUserID = NetzwerkUser.ID) WHERE NetzwerkUser.NetzwerkUser = '" & StrLogged_In_User & "'"
Set rs = Conn.Execute(StrSQL)
If rs.Eof Then
'Nein, dann "False" zurckliefern
	Check_Admin = False
Else
'Ja, dann "True" zurckliefern
	Check_Admin = True
End If
End Function
'Ende Admin berprfen


Function stunde(zeit)
Dim shour
shour=hour(zeit)
if shour < 10 then shour = "0" & shour
stunde = shour
end function

Function minut(zeit)
dim sminute
sminute=minute(zeit)
if sminute < 10 then sminute = "0" & sminute
minut = sminute
end function

Function DoNav(StrNavTitle)
Dim Do_Print
Dim Element
Do_Print = Request.Querystring("Do_Print")
If Do_Print <> 1 Then
	Response.Write "<script language=""JavaScript"">" & VbCrLf
	Response.Write "<!--" & VbCrLf
	Response.Write "function PrintWindow(URL,Name) " & VbCrLf
	Response.Write "{" & VbCrLf
	Response.Write "window.open(URL,Name,'toolbar=no,location=0,directories=no,status=no,menubar=0,scrollbars=yes,resizable=no,width=780,height=500, left=0,top=0')" & VbCrLf
	Response.Write "}" & VbCrLf
	Response.Write "//-->" & VbCrLf
	Response.Write "</script>" & VbCrLf
	Response.Write "<script language=""JavaScript"">" & VbCrLf
	Response.Write "function UpdateIt()" & VbCrLf
	Response.Write "{" & VbCrLf
	Response.Write "document.all[""menu""].style.top = document.body.scrollTop;" & VbCrLf
	Response.Write "setTimeout(""UpdateIt()"", 0);" & VbCrLf
	Response.Write "}" & VbCrLf
	Response.Write "</script>" & VbCrLf
	Response.Write "<script language=""VBScript"">" & VbCrLf
	Response.Write "sub Mout()" & VbCrLf
	Response.Write "	set tmpObj = window.event.srcElement" & VbCrLf
	Response.Write "	if tmpObj.classname <> ""nomnu"" then tmpObj.classname = ""NavMenu""" & VbCrLf
	Response.Write "end sub" & VbCrLf
	Response.Write "" & VbCrLf
	Response.Write "sub Move()" & VbCrLf
	Response.Write "	set tmpObj = window.event.srcElement" & VbCrLf
	Response.Write "	if tmpObj.classname <> ""nomnu"" then tmpObj.classname = ""NavMenuOver""" & VbCrLf
	Response.Write "end sub" & VbCrLf
	Response.Write "sub Mdow()" & VbCrLf
	Response.Write "	set tmpObj = window.event.srcElement" & VbCrLf
	Response.Write "	if tmpObj.classname <> ""nomnu"" then tmpObj.classname = ""NavMenuDown""" & VbCrLf
	Response.Write "end sub" & VbCrLf
	Response.Write "</script>" & VbCrLf
	Response.Write "<div id=""menu"" name=""menu"" style=""position: relative;"">" & VbCrLf
	Response.Write "<table class=""NavMenu"" cellspacing=0 cellpadding=0 border=0>" & VbCrLf
	Response.Write "<tr>" & VbCrLf
	Response.Write "	<td width=5></td>" & VbCrLf
	Response.Write "	<td colspan=6 width=""100%"" height=5></td>" & VbCrLf
	Response.Write "	<td width=5></td>" & VbCrLf
	Response.Write "</tr>" & VbCrLf
	Response.Write "<tr>" & VbCrLf
	Response.Write "	<td width=5></td>" & VbCrLf
	Response.Write "	<td nowrap>&nbsp;"
	Response.Write StrNavTitle
	Response.Write "&nbsp;&nbsp;</td>" & VbCrLf
	Response.Write "<td nowrap>" & VbCrLf
	Response.Write "<img src=""/~include/images/empty.gif"" width=""8"" height=""22"" border=""0"" alt="""">"
	Response.Write "	<img src=""/~include/images/nav_home.gif"" alt=""Zur bersicht"" Onclick=""top.inhalt.frameinhalt.cols='100%'"" onMouseOver=""Move()"" onMousedown=""Mdow()"" onMouseUp=""Move()"" onMouseOut=""Mout()"" class=""NavMenu""><img src=""/~include/images/empty.gif"" width=""8"" height=""22"" border=""0"" alt="""">"
	Response.Write "</td>" & VbCrLf
	Response.Write "<td nowrap>" & VbCrLf
	Response.Write "<a href=""javascript:PrintWindow('"
	Response.Write Request.ServerVariables("path_info")
	Response.Write "?do_print=1&"
	For Each Element In Request.Querystring
		Response.Write Element
		Response.Write "="
		Response.Write Server.URLEncode(Request.QueryString(Element))
		Response.Write "&"
	Next
	Response.Write "', 'printwin')"" OnFocus=blur()>"
	Response.Write "<img name=""imgnavprint"" src=""/~include/images/nav_drucken.gif"" alt=""diese Seite drucken"" onMouseOver=""Move()"" 	onMousedown=""Mdow()"" onMouseUp=""Move()"" onMouseOut=""Mout()"" class=""NavMenu"">"
	Response.Write "</a>"
	Response.Write "<img src=""/~include/images/empty.gif"" width=""8"" height=""22"" border=""0"" alt="""">"
	Response.Write "</td>"
	Response.Write "<td nowrap>"
	Response.Write "<a href=""javascript:location.reload()"" OnFocus=blur()>"
	Response.Write "<img name=""imgnavreload"" src=""/~include/images/nav_reload.gif"" alt=""Seite aktualisieren"" 	onMouseOver=""Move()"" onMousedown=""Mdow()"" onMouseUp=""Move()"" onMouseOut=""Mout()"" class=""NavMenu"">"
	Response.Write "</a>"
	Response.Write "<img src=""/~include/images/empty.gif"" width=""8"" height=""22"" border=""0"" alt="""">"
	Response.Write "</td>"
	Response.Write "<td width=""100%"">"
	Response.Write "</td>"
	Response.Write "<td width=""5"">"
	Response.Write "</td>"
	Response.Write "</tr>"
	Response.Write "<tr>"
	Response.Write "<td width=""5"">"
	Response.Write "</td>"
	Response.Write "<td colspan=""6"" width=""100%"" height=""5"">"
	Response.Write "</td>"
	Response.Write "<td width=""5"">"
	Response.Write "</td>"
	Response.Write "</tr>"
	Response.Write "</table>"
	Response.Write "</div>"
	Response.Write "<script language=""JavaScript"">"
	Response.Write "UpdateIt();"
	Response.Write "</script>"
Else
	Response.Write "<object id=""factory"" classid=""clsid:1663ed61-23eb-11d2-b92f-008048fdd814"""
	Response.Write "  viewastext codebase=""/~include/ScriptX.cab#Version=5,0,5,35"">"
	Response.Write "  </object>" & VbCrLf
	Response.Write "<script defer>" & VbCrLf
	Response.Write "function window.onload() {" & VbCrLf
	Response.Write "  factory.printing.header = "" """ & VbCrLf
	Response.Write "  factory.printing.footer = "" """ & VbCrLf
	Response.Write "  factory.printing.Print()" & VbCrLf
	Response.Write "  window.close()" & VbCrLf
	Response.Write "}" & VbCrLf
	Response.Write "</script>" & VbCrLf
End If
End Function

Function Check_Appl_Right(ApplID, UserID)
Dim StrSQL
Dim rs
	If (ApplID <> "") AND (IsNumeric(ApplID) = True) AND (UserID <> "") AND (IsNumeric(UserID) = True) Then
		StrSQL = "SELECT COUNT(*) FROM OLMenueRechte WHERE (IDMenuepunkt = " & ApplID & ") AND (IDBenutzer = " & UserID & ")"
		Set rs = Conn.Execute(StrSQL)
		If rs(0) > 0 Then
			Check_Appl_Right = True
		Else
			Check_Appl_Right = False
		End If
	Else
	Response.Write "Keine Parameter bergeben"
	End If
End Function

%>
